---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libji05t001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x543F0, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56330, symBinAddr: 0xE1C0, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56720, symBinAddr: 0xE5B0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x576C0, symBinAddr: 0xF550, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x576D0, symBinAddr: 0xF560, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54000, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54004, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54008, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54160, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54218, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5421C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54220, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54224, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54228, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54230, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54248, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x54250, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x54258, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54260, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54268, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL11redir_calls, symObjAddr: 0x542AC, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x542C0, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x911E, offset: 0x911E, size: 0x8, addend: 0x0, symName: __ZL8agentThr, symObjAddr: 0x542D0, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x542E0, symBinAddr: 0xC230, symSize: 0x0 }
  - { offsetInCU: 0x9161, offset: 0x9161, size: 0x8, addend: 0x0, symName: __ZL2vm, symObjAddr: 0x542E8, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x917A, offset: 0x917A, size: 0x8, addend: 0x0, symName: __ZL5redir, symObjAddr: 0x54324, symBinAddr: 0xC244, symSize: 0x0 }
  - { offsetInCU: 0x9193, offset: 0x9193, size: 0x8, addend: 0x0, symName: __ZL10thrstarted, symObjAddr: 0x5432C, symBinAddr: 0xC24C, symSize: 0x0 }
  - { offsetInCU: 0x91AC, offset: 0x91AC, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54340, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x91D1, offset: 0x91D1, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x54350, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0x92FC, offset: 0x92FC, size: 0x8, addend: 0x0, symName: _procedure, symObjAddr: 0x40, symBinAddr: 0x2390, symSize: 0x30 }
  - { offsetInCU: 0x946E, offset: 0x946E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2570, symSize: 0x80 }
  - { offsetInCU: 0x9503, offset: 0x9503, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x24C0, symSize: 0xB0 }
  - { offsetInCU: 0x955E, offset: 0x955E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x23C0, symSize: 0x100 }
  - { offsetInCU: 0x97F1, offset: 0x97F1, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x25F0, symSize: 0xC0 }
  - { offsetInCU: 0x9843, offset: 0x9843, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x26B0, symSize: 0x220 }
  - { offsetInCU: 0x9A28, offset: 0x9A28, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x28D0, symSize: 0xA0 }
  - { offsetInCU: 0x9ADB, offset: 0x9ADB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2970, symSize: 0x110 }
  - { offsetInCU: 0x9BD1, offset: 0x9BD1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2A80, symSize: 0x150 }
  - { offsetInCU: 0x9D22, offset: 0x9D22, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2BD0, symSize: 0x30 }
  - { offsetInCU: 0x9DE3, offset: 0x9DE3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2C00, symSize: 0x150 }
  - { offsetInCU: 0x9FDB, offset: 0x9FDB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2D50, symSize: 0x160 }
  - { offsetInCU: 0xA29B, offset: 0xA29B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2EB0, symSize: 0x4A0 }
  - { offsetInCU: 0xA50E, offset: 0xA50E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3350, symSize: 0x1B0 }
  - { offsetInCU: 0xA729, offset: 0xA729, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3500, symSize: 0xA0 }
  - { offsetInCU: 0xA7F8, offset: 0xA7F8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x35A0, symSize: 0x20 }
  - { offsetInCU: 0xA82F, offset: 0xA82F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x35C0, symSize: 0x20 }
  - { offsetInCU: 0xA866, offset: 0xA866, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x35E0, symSize: 0x20 }
  - { offsetInCU: 0xA9D5, offset: 0xA9D5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3600, symSize: 0x1A0 }
  - { offsetInCU: 0xACFB, offset: 0xACFB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x37A0, symSize: 0x80 }
  - { offsetInCU: 0xADC4, offset: 0xADC4, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3820, symSize: 0x6A0 }
  - { offsetInCU: 0xB959, offset: 0xB959, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA210, symBinAddr: 0x4BC0, symSize: 0xB0 }
  - { offsetInCU: 0xB9D0, offset: 0xB9D0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3EC0, symSize: 0x70 }
  - { offsetInCU: 0xBA6C, offset: 0xBA6C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3F30, symSize: 0xA0 }
  - { offsetInCU: 0xBB77, offset: 0xBB77, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3FD0, symSize: 0x40 }
  - { offsetInCU: 0xBC6D, offset: 0xBC6D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4010, symSize: 0x2B0 }
  - { offsetInCU: 0xC013, offset: 0xC013, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x42C0, symSize: 0xC0 }
  - { offsetInCU: 0xC159, offset: 0xC159, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4380, symSize: 0x10 }
  - { offsetInCU: 0xC21B, offset: 0xC21B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4390, symSize: 0x220 }
  - { offsetInCU: 0xC518, offset: 0xC518, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x45B0, symSize: 0x10 }
  - { offsetInCU: 0xC575, offset: 0xC575, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x45C0, symSize: 0x3C0 }
  - { offsetInCU: 0xC938, offset: 0xC938, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FD0, symBinAddr: 0x4980, symSize: 0x10 }
  - { offsetInCU: 0xC995, offset: 0xC995, size: 0x8, addend: 0x0, symName: _MyGetVersionA, symObjAddr: 0x9FE0, symBinAddr: 0x4990, symSize: 0x50 }
  - { offsetInCU: 0xC9E4, offset: 0xC9E4, size: 0x8, addend: 0x0, symName: _MyGetVersionB, symObjAddr: 0xA030, symBinAddr: 0x49E0, symSize: 0x50 }
  - { offsetInCU: 0xCA75, offset: 0xCA75, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI05_ji05t001_getResult, symObjAddr: 0xA080, symBinAddr: 0x4A30, symSize: 0x190 }
  - { offsetInCU: 0xCBD1, offset: 0xCBD1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2C0, symBinAddr: 0x4C70, symSize: 0x370 }
  - { offsetInCU: 0xD1D0, offset: 0xD1D0, size: 0x8, addend: 0x0, symName: __ZL7VMInitAP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xA630, symBinAddr: 0x4FE0, symSize: 0x30 }
  - { offsetInCU: 0xD238, offset: 0xD238, size: 0x8, addend: 0x0, symName: __ZL10startAgenti, symObjAddr: 0xA690, symBinAddr: 0x5040, symSize: 0x1F0 }
  - { offsetInCU: 0xD40C, offset: 0xD40C, size: 0x8, addend: 0x0, symName: __ZL7VMInitBP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xA660, symBinAddr: 0x5010, symSize: 0x30 }
  - { offsetInCU: 0xD59B, offset: 0xD59B, size: 0x8, addend: 0x0, symName: __ZL6agentAPv, symObjAddr: 0xA880, symBinAddr: 0x5230, symSize: 0x400 }
  - { offsetInCU: 0xD992, offset: 0xD992, size: 0x8, addend: 0x0, symName: __ZL10doRedirectP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0xB090, symBinAddr: 0x5A40, symSize: 0x1C9 }
  - { offsetInCU: 0xDBF7, offset: 0xDBF7, size: 0x8, addend: 0x0, symName: __ZL6agentBPv, symObjAddr: 0xAC80, symBinAddr: 0x5630, symSize: 0x410 }
...
